! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 3.23.
  program D23
    implicit none
    real :: X, Y
    logical :: Big_X
! start program D23
    write (unit = *, fmt = *) " Please enter values for X and Y. "
    read (unit = *, fmt = *) X, Y
    if (X > Y) then
      Big_X = .true.
    else
      Big_X = .false.
    end if
    write (unit = *, fmt = *) " The proposition 'X exceeds Y' is: ", Big_X
    stop
  end program D23
